packagekit (1.3.4-3) unstable; urgency=medium

  * Team upload

  [ Matthias Klumpp ]
  * Stop recommending removed packagekit-tools package (Closes: #1126735)
    (LP: #2139443)

  [ Jeremy Bícha ]
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 01 Feb 2026 14:22:02 -0500

packagekit (1.3.4-1) unstable; urgency=medium

  * New upstream version: 1.3.4
  * Drop packagekit-tools package
    - The pkcon/pkmon tools are obsolete, and the replacement `pkgcli` tool
      is available in the main package. The old split into a separate -tools
      package was for historical reasons only.
    - Nothing in Debian uses pkcon, and there is plenty of time to adjust any
      scripts while this change sits in unstable/testing. But if there is a
      huge, justifiable need to reintroduce pkcon, we can add the -tools
      package back (please file a bug in that case). The `pkgcli` utility
      should be an adequate replacement for both pkcon & pkmon.
  * Update symbols file

 -- Matthias Klumpp <mak@debian.org>  Wed, 28 Jan 2026 21:28:30 +0100

packagekit (1.3.3-1) unstable; urgency=medium

  * New upstream version: 1.3.3
  * Install GIR typelib to the correct location (Closes: #1118515)
  * Install pkgctl, a new experimental command-line interface to
    PackageKit, so it can receive some testing
  * Update symbols file
  * d/control: Drop Rules-Requires-Root (no longer needed)

 -- Matthias Klumpp <mak@debian.org>  Mon, 24 Nov 2025 20:29:26 +0100

packagekit (1.3.2-1) unstable; urgency=medium

  * New upstream version: 1.3.2

 -- Matthias Klumpp <mak@debian.org>  Thu, 02 Oct 2025 22:06:52 +0200

packagekit (1.3.1-1) unstable; urgency=medium

  [ Matthias Klumpp ]
  * New upstream version: 1.3.1
    - Implement enable/disable support for deb822-style repo sources
    - Harmonize repo-ids between deb822 and legacy sources
    - Use 'pk_backend_job_details_full()' so download size is
      reported properly (Closes: #1026076)
  * Drop patches: Applied upstream
  * Drop build-dependency on gobject-introspection-bin (Closes: #1094624)

  [ Michael Biebl ]
  * Drop obsolete pkla configuration file (Closes: #1093073)

 -- Matthias Klumpp <mak@debian.org>  Tue, 22 Apr 2025 22:18:16 +0200

packagekit (1.3.0-3) unstable; urgency=medium

  * Adjust for libapt-pkg7.0 API

 -- Julian Andres Klode <jak@debian.org>  Mon, 17 Feb 2025 10:35:40 +0100

packagekit (1.3.0-2) unstable; urgency=medium

  * Team upload
  * Backport patch to fix pkcon crashing in transactions with user prompt
    (LP: #2086771)
  * Backport patch to fix showing the GTK debconf helper on Wayland
    (LP: #2086773)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 08 Nov 2024 15:56:31 -0500

packagekit (1.3.0-1) unstable; urgency=medium

  * New upstream version: 1.3.0
  * Drop all patches: Applied upstream

 -- Matthias Klumpp <mak@debian.org>  Sun, 16 Jun 2024 17:40:52 +0200

packagekit (1.2.8-2) unstable; urgency=medium

  * Add strlen-cmp-memfix.patch:
    - Check string length correctly to prevent memory
      over-consumption.
  * Add identify-ubuntu.patch:
    - Do not incorrectly identify Ubuntu sources as coming
      from Debian.
  * Switch build dependency from pkg-config -> pkgconf,
    add gobject-introspection-bin.

 -- Matthias Klumpp <mak@debian.org>  Tue, 20 Feb 2024 22:20:42 +0100

packagekit (1.2.8-1) unstable; urgency=medium

  [ Matthias Klumpp ]
  * New upstream version: 1.2.8
    - Removes bashisms (Closes: #772289)
    - Fixes crash when finishing a uncommitted transaction (Closes: #1054026)
    - Deduplicates offline-update entries (Closes: #910365)
  * Slightly tweak description text

  [ Helmut Grohne ]
  * Fix FTBFS when systemd.pc changes systemdsystemunitdir (Closes: #1052982)

 -- Matthias Klumpp <mak@debian.org>  Wed, 08 Nov 2023 22:28:00 +0100

packagekit (1.2.7-1) unstable; urgency=medium

  * New upstream version 1.2.7
  * Drop all patches: Applied upstream
  * Enable all tests except for the daemon tests
    - The daemon tests need special configuration and
      root access, so we still can not run them.
  * Update symbols file

 -- Matthias Klumpp <mak@debian.org>  Sun, 27 Aug 2023 15:46:54 +0200

packagekit (1.2.6-5) unstable; urgency=medium

  * Add fix-tiny-memleak.patch:
    - Free transaction property when progress is done.
  * Add remove-references-to-packagekit.org.patch:
    - The packagekit.org domain was taken over by an actor who is
      serving potentially malicious ads on it, and no longer redirects
      to the proper pages. To ensure nobody lands there accidentally,
      replace all links to pk.org with the proper ones pointing at
      freedesktop.org.
  * Make the daemon package recommend packagekit-tools again
    - This change was not intended for bookworm and may
      be re-applied after its release (Closes: #1036153).

 -- Matthias Klumpp <mak@debian.org>  Sun, 28 May 2023 19:00:10 +0200

packagekit (1.2.6-4) unstable; urgency=medium

  * Add apt-fix-mimetype-search-crash.patch (Closes: #1032510)
    - Fixes a daemon crash when searching for provided mediatypes
  * packagekit: Recommend, instead of suggest appstream
    - It is needed for many operations, and quite odd for users if data
      is randomly missing with no explanation.
  * Don't have the library recommend the daemon package (Closes: #1012175)
  * Bump standards version (no changes needed)

 -- Matthias Klumpp <mak@debian.org>  Sun, 16 Apr 2023 18:58:34 +0200

packagekit (1.2.6-3) unstable; urgency=medium

  * Add apt-better-repo-names.patch:
    - Display meaningful repository names instead of just suite names.
  * Add pkcon-fix-progressbar-padding.patch:
    - Fix layout when progress is shown.
  * Add shutdown-daemon-on-idle.patch:
    - Shut down daemon when it is not used again. This functionality
      was originally removed to work around a bug in DNF which does
      not affect us in Debian (Closes: #802306).
  * Add fix-uninitialized-timer.patch:
    - Fix potential crash that may occur on daemon shutdown.
  * Add apt-update-urgency-as-status.patch:
    - Send update urgencies as package status again, as this behavior
      seems to be expected by frontends and did not cause any problems
      in the past (Closes: #1030179).

 -- Matthias Klumpp <mak@debian.org>  Fri, 10 Feb 2023 22:48:36 +0100

packagekit (1.2.6-2) unstable; urgency=high

  * Ensure PackageKit services aren't stopped or restarted during
    package upgrade, as PackageKit might be performing an upgrade
    of itself, and killing an ongoing APT transaction will break
    the package manager and require manual repair.
    This is an especially big problem when performing offline upgrades.
    (Closes: #880712)

 -- Matthias Klumpp <mak@debian.org>  Wed, 04 Jan 2023 18:40:38 +0100

packagekit (1.2.6-1) unstable; urgency=medium

  * New upstream version: 1.2.6
    - New plural signals for improved performance
    - Large APT backend refactoring
    - Changelogs from APT are emitted correctly now
  * Drop patches: Applied upstream
  * Adjust rules for aptcc rename
  * Refresh policy patch
  * Update symbols file
  * Depend on polkitd instead of policykit-1 (Closes: #1022071)
  * Revert "Add alternate recommends for packagekit-installer"
    - This patch changed the maintainer to Ubuntu, so was likely added
      by mistake. Dropped the maintainer change, re-added the
      "packagekit-installer" recommendation, as it is inert on Debian.

 -- Matthias Klumpp <mak@debian.org>  Thu, 01 Dec 2022 20:42:52 +0100

packagekit (1.2.5-4) unstable; urgency=medium

  [ Ken VanDine ]
  * Add alternate recommends for packagekit-installer

  [ Debian Janitor ]
  * Apply multi-arch hints. + packagekit-gtk3-module: Add Multi-Arch: same.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 30 Nov 2022 15:25:46 -0500

packagekit (1.2.5-3) unstable; urgency=medium

  * fix-single-candidate-pkgid-emission.patch: Handle case when there
    is no candidate at all (LP: #1963904)
  * Add aptcc_more-smartpointers.patch: Use smartpointers in more places

 -- Matthias Klumpp <mak@debian.org>  Tue, 15 Mar 2022 14:36:34 +0100

packagekit (1.2.5-2) unstable; urgency=medium

  * Add fix-single-candidate-pkgid-emission.patch
    - Unblock updates by emitting package-IDs again even if there
      is just one candidate available.

 -- Matthias Klumpp <mak@debian.org>  Tue, 22 Feb 2022 23:48:44 +0100

packagekit (1.2.5-1) unstable; urgency=medium

  * New upstream version: 1.2.5
    Notable changes:
    - aptcc: Do not mark all updates as manually installed
    - aptcc: Apply auto/manual state from previously resolved pkgids
      when needed
    - aptcc: Attempt to fix broken packages again when system
      repair is requested
    - aptcc: Correctly list all the available package versions
    - aptcc: Display an excerpt of dpkg's log on error instead of not
      failing at all
    - aptcc: Emit only the first, likely highest-quality error when dpkg fails
    - aptcc: Make package downgrades work again
    - aptcc: Return local file listings in the same format as installed ones
    - Add flags to D-Bus offline invoking methods
    - Properly handle allow-reinstall flag for installations
    - Provide better error message if trying to install an installed package
    - Wait until online to activate systemd service
  * policy: Allow any inactive user to refresh the package cache
    as well (Closes: #965030)
  * Update symbols file
  * Mark d/rules as not requiring root
  * Bump dh compat level to 13
  * Drop some no longer needed breaks constraints
  * policy: Allow any user to trigger offline updates
    by default (Closes: #1003141)
  * Remove 2 obsolete maintscript entries in 1 files (thanks, Janitor!)
  * Set upstream metadata fields: Bug-Database, Contact (thanks, Janitor!)

 -- Matthias Klumpp <mak@debian.org>  Thu, 17 Feb 2022 21:40:18 +0100

packagekit (1.2.4-1) unstable; urgency=medium

  * New upstream version: 1.2.4
    - Resolves FTBFS with newer Meson versions (Closes: #998578)
  * Drop no-crash-pk_dbus_get_uid.patch: Applied upstream
  * Update symbols file

 -- Matthias Klumpp <mak@debian.org>  Sun, 07 Nov 2021 20:04:15 +0100

packagekit (1.2.2-2) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/control: Build-Depend on libplymouth-dev (>= 0.9.5) and
    Breaks against previous version of the plymouth package
  * debian/packagekit.links: Ensure that the packagekit-offline-update service
    is started in the system-update.target.wants target (Closes: #977876)

 -- Matthias Klumpp <mak@debian.org>  Tue, 22 Dec 2020 22:14:10 +0100

packagekit (1.2.2-1) unstable; urgency=medium

  * New upstream version: 1.2.2
  * Unconditionally disable offline-updates on non-Linux architectures
  * Drop all patches: Applied upstream
  * Add no-crash-pk_dbus_get_uid.patch: Don't crash when calling
    pk_dbus_get_uid() before D-Bus is set up (Closes: #974826).

 -- Matthias Klumpp <mak@debian.org>  Tue, 22 Dec 2020 12:48:56 +0100

packagekit (1.2.1-1) unstable; urgency=medium

  [ Matthias Klumpp ]
  * New upstream version: 1.2.1
  * Drop all previous patches: Applied upstream.
  * Add aptcc-use-pkgconfig.patch: Fix build with newer APT versions,
    and simplify dependency on apt-pkg .
  * Add aptcc-build-debconfhelper.patch: Build debconf socket-activated
    helper again now that PK builds with Meson.
  * Add aptcc-CVE-2020-16122.patch: Always distrust local .deb packages
  * Add fix-CVE-2020-16121.patch: Resolve information disclosure in
    InstallFiles, GetFilesLocal and GetDetailsLocal (Closes: #972229)
  * Add test-install-missing-files.patch: Install some missing files used
    by the test backend that have been forgotten in the Meson transition.
  * Adjust packaging for using the Meson build system
  * Cleanup d/rules, a lot of files we previously removed are gone now
    by upstream default
  * d/control: Update dependencies for new release
  * Drop build-dep on xmlto and docbook-utils (no longer needed)
  * Remove last remnants of the GTK+2 plugin (Closes: #967678)
  * Update .symbols file

  [ Laurent Bigonville ]
  * Do not try to install pk-debconf-helper on non-linux architectures
    (Closes: #952872)
  * Move daemon and helper binaries to /usr/libexec

 -- Matthias Klumpp <mak@debian.org>  Wed, 21 Oct 2020 18:26:38 +0200

packagekit (1.1.13-2) unstable; urgency=medium

  * aptcc-fix-locale-set.patch: Set locale properly when performing requests

 -- Matthias Klumpp <mak@debian.org>  Thu, 16 Jan 2020 21:51:56 +0100

packagekit (1.1.13-1) unstable; urgency=medium

  * New upstream version 1.1.13
    - also generate a repo detail when a download happened
    - Completely remove distro-upgrade support for now
    - Disable distro-upgrade functionality (for now)
    - Introduce socket-activated pk-debconf-helper
    - Add support for user services
    - Use new plymouth "system-upgrade" and "reboot" modes
    - Do not dereference pk-client-helper argument before checking it
    - List installed, removed and obsoleted packages in pkcon get-updates
    - Properly mark obsoleted packages when simulating upgrade
    - Support non-x86 arches in gstreamer helper
    - Don't use a bash regex to fix command not found on other shells
  * Switch to dh compat level 12
  * Remove debug symbol migration: No longer needed
  * Drop all bugfix patches: Applied upstream
  * add-missing-pk-debconf-service-files.patch: Add missing service files
  * Update install file for new release
  * Update symbols

 -- Matthias Klumpp <mak@debian.org>  Wed, 08 Jan 2020 22:34:06 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libpackagekit-glib2-18`.
